> For a complete page index, fetch https://developer.close.com/llms.txt

# Create or update third-party Meeting integration

POST https://api.close.com/api/v1/activity/meeting/{id}/integration/
Content-Type: application/json

Please note that only OAuth apps can perform this operation. Using API key will result in an error. See [Authentication with OAuth](https://developer.close.com/api/overview/oauth-authentication) for more information.

Third party integrations are presented as tabs titled with OAuth app name in the activity feed. When invoked for the first time with a given OAuth app a new integration is created, subsequent calls with the same OAuth app will update an existing integration. Submitting an empty JSON body does nothing.

Reference: https://developer.close.com/api/resources/activities/meetings/create-integration

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

- `any`

## Response

### 200

Successful response

## Examples

**Request**

```json
{
  "integration_data": {
    "note_html": "<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>"
  }
}
```

**Response**

```json
{
  "id": "evtint_68gPlaA2Q79nvAa4PFHG9J",
  "integration_data": {
    "note_html": "<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>"
  },
  "integration_name": "third_party",
  "oauth_client": {
    "id": "oa2client_2hoWsDYOJtiaR7SrUbXyN2",
    "name": "AI Highlights"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.close.com/api/v1/activity/meeting/:id/integration/"

payload = { "integration_data": { "note_html": "<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>" } }
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/activity/meeting/:id/integration/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"integration_data":{"note_html":"<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/activity/meeting/:id/integration/"

	payload := strings.NewReader("{\n  \"integration_data\": {\n    \"note_html\": \"<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/activity/meeting/:id/integration/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_data\": {\n    \"note_html\": \"<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/activity/meeting/:id/integration/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_data\": {\n    \"note_html\": \"<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/activity/meeting/:id/integration/', [
  'body' => '{
  "integration_data": {
    "note_html": "<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/activity/meeting/:id/integration/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_data\": {\n    \"note_html\": \"<body><ul><li>Very interested in calendar integration feature.</li><li>Frustrated with their existing CRM.</li></ul></body>\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```